Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3215)

Unified Diff: chrome/installer/mac/keystone_install.sh

Issue 121673003: Switch exit status from 77 (try again later) back to 12/13 (errors) (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chrome/installer/mac/keystone_install.sh
diff --git a/chrome/installer/mac/keystone_install.sh b/chrome/installer/mac/keystone_install.sh
index 401e65fcb2550bb8a19d213f68f6c15a5ffeb0cf..f50bee4b2712580093cd19c8222fc8bd01eca262 100755
--- a/chrome/installer/mac/keystone_install.sh
+++ b/chrome/installer/mac/keystone_install.sh
@@ -29,10 +29,13 @@
# 9 Could not get the version, update URL, or channel after update
# 10 Updated application does not have the version number from the update
# 11 ksadmin failure
+# 12 dirpatcher failed for versioned directory
+# 13 dirpatcher failed for outer .app bundle
#
-# The following exit codes can be used to convey special meaning to Keystone:
+# The following exit codes can be used to convey special meaning to Keystone.
+# KeystoneRegistration will present these codes to Chrome as "success."
# 66 (unused) success, request reboot
-# 77 try installation again later
+# 77 (unused) try installation again later
set -eu
@@ -1025,7 +1028,7 @@ main() {
"${old_ks_plist}" \
"${old_version_app}" \
"${system_ticket}"
- exit 77
+ exit 12
fi
fi
@@ -1084,7 +1087,7 @@ main() {
"${old_ks_plist}" \
"${old_version_app}" \
"${system_ticket}"
- exit 77
+ exit 13
fi
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698